> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# File GSTR-9

> File the GSTR-9 Return by passing the financial year, PAN, EVC OTP and GSTR-9 Details in the request

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-9/file.json" arrow="true" horizontal />

<Card title="View request body schema" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/gstr-9/file-v1.1.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-9/file
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-9/file:
    post:
      tags:
        - Taxpayer
        - Returns
        - File GSTR-9
      summary: File GSTR-9
      operationId: fileGstr9
      parameters:
        - name: pan
          in: query
          description: PAN of the authorized signatory
          required: true
          schema:
            type: string
            example: '{{pan}}'
        - name: financial_year
          in: query
          description: Financial year. E.g., FY 2023-24
          required: true
          schema:
            type: string
            example: '{{financial_year}}'
        - name: otp
          in: query
          description: Generated EVC OTP
          required: true
          schema:
            type: string
            example: '575757'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileGstr9Request'
            examples:
              Return not ready to file:
                value:
                  isnil: 'N'
                  fp: '032018'
                  table4:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    b2c:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    b2b:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    exp:
                      txval: 1000
                      iamt: 20
                      csamt: 20
                    sez:
                      txval: 1000
                      iamt: 20
                      csamt: 20
                    deemed:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    at:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rchrg:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    cr_nt:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    dr_nt:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    amd_pos:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    amd_neg:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sub_totalAG:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sub_totalIL:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sup_adv:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table5:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    zero_rtd:
                      txval: 1000
                    sez:
                      txval: 1000
                    rchrg:
                      txval: 1000
                    exmt:
                      txval: 1000
                    nil:
                      txval: 1000
                    non_gst:
                      txval: 1000
                    cr_nt:
                      txval: 1000
                    dr_nt:
                      txval: 1000
                    amd_pos:
                      txval: 1000
                    amd_neg:
                      txval: 1000
                    sub_totalAF:
                      txval: 1000
                    sub_totalHK:
                      txval: 1000
                    tover_tax_np:
                      txval: 1000
                    total_tover:
                      txval: 1000
                  table6:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    itc_3b:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    supp_non_rchrg:
                      - itc_typ: ip
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    supp_rchrg_unreg:
                      - itc_typ: ip
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    supp_rchrg_reg:
                      - itc_typ: ip
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    iog:
                      - itc_typ: ip
                        iamt: 20
                        csamt: 20
                    ios:
                      iamt: 20
                      csamt: 20
                    isd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_clmd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    tran1:
                      camt: 20
                      samt: 20
                    tran2:
                      camt: 20
                      samt: 20
                    other:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sub_totalBH:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    difference:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sub_totalKM:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    total_itc_availed:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table7:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    rule37:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rule39:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rule42:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rule43:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    sec17:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    revsl_tran1:
                      camt: 20
                      samt: 20
                    revsl_tran2:
                      camt: 20
                      samt: 20
                    other:
                      - desc: other1
                        iamt: 20
                        camt: 20
                        samt: 20
                        csamt: 20
                    tot_itc_revd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    net_itc_aval:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table8:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    itc_2a:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_tot:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_inwd_supp:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_nt_availd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_nt_eleg:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    iog_taxpaid:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    iog_itc_availd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    iog_itc_ntavaild:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    differenceABC:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    differenceGH:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    tot_itc_lapsed:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table9:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    iamt:
                      txpyble: 1000
                      txpaid_cash: 1000
                      tax_paid_itc_iamt: 20
                      tax_paid_itc_camt: 20
                      tax_paid_itc_samt: 20
                    camt:
                      txpyble: 1000
                      txpaid_cash: 1000
                      tax_paid_itc_iamt: 20
                      tax_paid_itc_camt: 20
                    samt:
                      txpyble: 1000
                      txpaid_cash: 1000
                      tax_paid_itc_iamt: 20
                      tax_paid_itc_samt: 20
                    csamt:
                      txpyble: 1000
                      txpaid_cash: 1000
                      tax_paid_itc_csamt: 20
                    intr:
                      txpyble: 1000
                      txpaid_cash: 1000
                    fee:
                      txpyble: 1000
                      txpaid_cash: 1000
                    pen:
                      txpyble: 1000
                      txpaid_cash: 1000
                    other:
                      txpyble: 1000
                      txpaid_cash: 1000
                  table10:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    dbn_amd:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    cdn_amd:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_rvsl:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    itc_availd:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    total_turnover:
                      tx_val: 20
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table14:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    iamt:
                      txpyble: 1000
                      txpaid: 1000
                    camt:
                      txpyble: 1000
                      txpaid: 1000
                    samt:
                      txpyble: 1000
                      txpaid: 1000
                    csamt:
                      txpyble: 1000
                      txpaid: 1000
                    intr:
                      txpyble: 1000
                      txpaid: 1000
                  table15:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    rfd_clmd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rfd_sanc:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rfd_rejt:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    rfd_pend:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    tax_dmnd:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                      intr: 20
                      fee: 20
                      pen: 20
                    tax_paid:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                      intr: 20
                      fee: 20
                      pen: 20
                    dmnd_pend:
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                      intr: 20
                      fee: 20
                      pen: 20
                  table16:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    comp_supp:
                      txval: 1000
                    deemed_supp:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                    not_returned:
                      txval: 1000
                      iamt: 20
                      camt: 20
                      samt: 20
                      csamt: 20
                  table17:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    items:
                      - hsn_sc: '646473'
                        uqc: BAG
                        desc: afdasfcvasd
                        isconcesstional: 'N'
                        qty: 24241
                        txval: 1000
                        rt: 5
                        iamt: 10
                        camt: 20
                        samt: 20
                        csamt: 20
                  table18:
                    chksum: >-
                      qwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyuiqwertyui
                    items:
                      - hsn_sc: '646473'
                        uqc: BAG
                        desc: afdasfcvasd
                        isconcesstional: 'N'
                        qty: 24241
                        txval: 10000
                        rt: 5
                        iamt: 0
                        camt: 20
                        samt: 20
                        csamt: 20
                  tax_pay:
                    - sgst:
                        tx: 0
                        intr: 0
                        pen: 0
                        fee: 0
                        oth: 0
                        tot: 0
                      cgst:
                        tx: 0
                        intr: 0
                        pen: 0
                        fee: 0
                        oth: 0
                        tot: 0
                      liab_id: 8855
                      trancd: 30002
                      trandate: 12-02-2018
                  offset:
                    - tran_cd: 30002
                      sgst:
                        intr: 0
                        tx: 0
                        fee: 4400
                        tot: 4400
                      cgst:
                        intr: 0
                        tx: 0
                        fee: 4400
                        tot: 4400
                summary: Return not ready to file
              200 Success:
                value:
                  table5:
                    dr_nt:
                      txval: 0
                    amd_neg:
                      txval: 0
                    non_gst:
                      txval: 0
                    amd_pos:
                      txval: 0
                    sez:
                      txval: 0
                    total_tover:
                      csamt: 0
                      samt: 255908.16
                      txval: 34376971.41
                      camt: 255908.16
                      iamt: 5676040.91
                    nil:
                      txval: 0
                    ecom_14:
                      txval: 0
                    sub_totalHK:
                      txval: 0
                    tover_tax_np:
                      txval: 0
                    exmt:
                      txval: 0
                    sub_totalAF:
                      txval: 0
                    rchrg:
                      txval: 0
                    zero_rtd:
                      txval: 0
                    cr_nt:
                      txval: 0
                    chksum: >-
                      3e16d88c52a85601f04cf06b5cd6d9b9a59300457f9851668253abedb0dde848
                  table4:
                    b2c:
                      csamt: 0
                      samt: 33512.24
                      txval: 32048951.84
                      camt: 33512.24
                      iamt: 5701789.17
                    b2b:
                      csamt: 0
                      samt: 222404.68
                      txval: 2754408.56
                      camt: 222404.68
                      iamt: 50984.24
                    sub_totalIL:
                      csamt: 0
                      samt: -8.76
                      txval: -426388.99
                      camt: -8.76
                      iamt: -76732.5
                    sup_adv:
                      csamt: 0
                      samt: 255908.16
                      txval: 34376971.41
                      camt: 255908.16
                      iamt: 5676040.91
                    sub_totalAG1:
                      csamt: 0
                      samt: 255916.92
                      txval: 34803360.4
                      camt: 255916.92
                      iamt: 5752773.41
                    cr_nt:
                      csamt: 0
                      samt: 8.76
                      txval: 426388.99
                      camt: 8.76
                      iamt: 76732.5
                    chksum: >-
                      4d91bdfa51ceaea1b5003dfdd20fa6e4cff26b261a82901ea07fdb82fe3dfd89
                  aggTurnover: 34376971.41
                  tax_pay:
                    - sgst:
                        intr: 0
                        oth: 0
                        tx: 0
                        fee: 0
                        tot: 0
                        pen: 0
                      trancd: 30002
                      cgst:
                        intr: 0
                        oth: 0
                        tx: 0
                        fee: 0
                        tot: 0
                        pen: 0
                      liab_id: 0
                  table17:
                    items:
                      - csamt: 0
                        samt: 255908.16
                        rt: 18
                        isconcesstional: 'N'
                        txval: 34376971.41
                        camt: 255908.16
                        hsn_sc: '998232'
                        iamt: 5676040.91
                        desc: Individual tax preparation and planning services
                    chksum: >-
                      b828f456ff6dfd375ac7b875c60c4fd02d60b3dd8479b2f865cfa3eea8e34828
                  isnil: 'N'
                  fp: '032024'
                  table9:
                    csamt:
                      txpyble: 0
                      txpaid_cash: 0
                      tax_paid_itc_csamt: 0
                    samt:
                      tax_paid_itc_iamt: 16529
                      tax_paid_itc_samt: 61419
                      txpyble: 255908
                      txpaid_cash: 177960
                    intr:
                      txpyble: 0
                      txpaid_cash: 0
                    other:
                      txpyble: 0
                    fee:
                      txpyble: 50
                      txpaid_cash: 50
                    pen:
                      txpyble: 0
                    camt:
                      tax_paid_itc_iamt: 16529
                      txpyble: 255908
                      tax_paid_itc_camt: 61419
                      txpaid_cash: 177960
                    iamt:
                      tax_paid_itc_iamt: 824879
                      tax_paid_itc_samt: 108521
                      txpyble: 5711375
                      tax_paid_itc_camt: 108521
                      txpaid_cash: 4669454
                    chksum: >-
                      54c119848512bda3faf6cac75ba729b0645c71c80d0dc89d845ffd4e6e2ee002
                  table8:
                    itc_tot:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    iog_itc_availd:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    differenceGH:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    iog_itc_ntavaild:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_inwd_supp:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_nt_availd:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    differenceABC:
                      csamt: 0
                      samt: 6878.36
                      camt: 6878.36
                      iamt: -7855
                    itc_2b:
                      csamt: 0
                      samt: 176819.92
                      camt: 176819.92
                      iamt: 818942.78
                    tot_itc_lapsed:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    chksum: >-
                      4b171cb877aadc52cae1a0aeb584a99f8876cd9096c7ac3b8c18ebc3ba960e05
                    itc_nt_eleg:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    iog_taxpaid:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                  table10:
                    total_turnover:
                      csamt: 0
                      samt: 255908.16
                      txval: 34376971.41
                      camt: 255908.16
                      iamt: 5676040.91
                  table7:
                    rule43:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    rule42:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    sec17:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    rule39:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    rule37:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    revsl_tran1:
                      samt: 0
                      camt: 0
                    net_itc_aval:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    revsl_tran2:
                      samt: 0
                      camt: 0
                    tot_itc_revd:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    chksum: >-
                      452bff4cb1704395ccfe07162f983680bdb6a406e6129a2d4a2b91bc31b5c26a
                  table6:
                    total_itc_availed:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    sub_totalBH:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    supp_non_rchrg:
                      - csamt: 0
                        samt: 782.55
                        itc_typ: cg
                        camt: 782.55
                        iamt: 16745.52
                      - csamt: 0
                        samt: 169159.01
                        itc_typ: is
                        camt: 169159.01
                        iamt: 810052.26
                    difference:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_3b:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    sub_totalKM:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    chksum: >-
                      cf3a7e38a220ef732ad7cf504b080dbdcc8676c603f59dcadb8055c830338fdb
                summary: 200 Success
              Invalid summary payload:
                value:
                  table5:
                    dr_nt:
                      txval: 0
                    amd_neg:
                      txval: 0
                    non_gst:
                      txval: 0
                    amd_pos:
                      txval: 0
                    sez:
                      txval: 0
                    total_tover:
                      csamt: 0
                      samt: 255908.16
                      txval: 34376971.41
                      camt: 255908.16
                      iamt: 5676040.91
                    nil:
                      txval: 0
                    ecom_14:
                      txval: 0
                    sub_totalHK:
                      txval: 0
                    tover_tax_np:
                      txval: 0
                    exmt:
                      txval: 0
                    sub_totalAF:
                      txval: 0
                    rchrg:
                      txval: 0
                    zero_rtd:
                      txval: 0
                    cr_nt:
                      txval: 0
                    chksum: >-
                      3e16d88c52a85601f04cf06b5cd6d9b9a59300457f9851668253abedb0dde848
                  table4:
                    b2c:
                      csamt: 0
                      samt: 33512.24
                      txval: 32048951.84
                      camt: 33512.24
                      iamt: 5701789.17
                    b2b:
                      csamt: 0
                      samt: 222404.68
                      txval: 2754408.56
                      camt: 222404.68
                      iamt: 50984.24
                    sub_totalIL:
                      csamt: 0
                      samt: -8.76
                      txval: -426388.99
                      camt: -8.76
                      iamt: -76732.5
                    sup_adv:
                      csamt: 0
                      samt: 255908.16
                      txval: 34376971.41
                      camt: 255908.16
                      iamt: 5676040.91
                    sub_totalAG1:
                      csamt: 0
                      samt: 255916.92
                      txval: 34803360.4
                      camt: 255916.92
                      iamt: 5752773.41
                    cr_nt:
                      csamt: 0
                      samt: 8.76
                      txval: 426388.99
                      camt: 8.76
                      iamt: 76732.5
                    chksum: >-
                      4d91bdfa51ceaea1b5003dfdd20fa6e4cff26b261a82901ea07fdb82fe3dfd89
                  aggTurnover: 34376971.41
                  tax_pay:
                    - sgst:
                        intr: 0
                        oth: 0
                        tx: 0
                        fee: 0
                        tot: 0
                        pen: 0
                      trancd: 30002
                      cgst:
                        intr: 0
                        oth: 0
                        tx: 0
                        fee: 0
                        tot: 0
                        pen: 0
                      liab_id: 0
                  table17:
                    items:
                      - csamt: 0
                        samt: 255908.16
                        rt: 18
                        isconcesstional: 'N'
                        txval: 34376971.41
                        camt: 255908.16
                        hsn_sc: '998232'
                        iamt: 5676040.91
                        desc: Individual tax preparation and planning services
                    chksum: >-
                      b828f456ff6dfd375ac7b875c60c4fd02d60b3dd8479b2f865cfa3eea8e34828
                  fp: '032024'
                  table9:
                    csamt:
                      txpyble: 0
                      txpaid_cash: 0
                      tax_paid_itc_csamt: 0
                    samt:
                      tax_paid_itc_iamt: 16529
                      tax_paid_itc_samt: 61419
                      txpyble: 255908
                      txpaid_cash: 177960
                    intr:
                      txpyble: 0
                      txpaid_cash: 0
                    other:
                      txpyble: 0
                    fee:
                      txpyble: 50
                      txpaid_cash: 50
                    pen:
                      txpyble: 0
                    camt:
                      tax_paid_itc_iamt: 16529
                      txpyble: 255908
                      tax_paid_itc_camt: 61419
                      txpaid_cash: 177960
                    iamt:
                      tax_paid_itc_iamt: 824879
                      tax_paid_itc_samt: 108521
                      txpyble: 5711375
                      tax_paid_itc_camt: 108521
                      txpaid_cash: 4669454
                    chksum: >-
                      54c119848512bda3faf6cac75ba729b0645c71c80d0dc89d845ffd4e6e2ee002
                  table8:
                    itc_tot:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    iog_itc_availd:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    differenceGH:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    iog_itc_ntavaild:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_inwd_supp:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_nt_availd:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    differenceABC:
                      csamt: 0
                      samt: 6878.36
                      camt: 6878.36
                      iamt: -7855
                    itc_2b:
                      csamt: 0
                      samt: 176819.92
                      camt: 176819.92
                      iamt: 818942.78
                    tot_itc_lapsed:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    chksum: >-
                      4b171cb877aadc52cae1a0aeb584a99f8876cd9096c7ac3b8c18ebc3ba960e05
                    itc_nt_eleg:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    iog_taxpaid:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                  table10:
                    total_turnover:
                      csamt: 0
                      samt: 255908.16
                      txval: 34376971.41
                      camt: 255908.16
                      iamt: 5676040.91
                  table7:
                    rule43:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    rule42:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    sec17:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    rule39:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    rule37:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    revsl_tran1:
                      samt: 0
                      camt: 0
                    net_itc_aval:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    revsl_tran2:
                      samt: 0
                      camt: 0
                    tot_itc_revd:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    chksum: >-
                      452bff4cb1704395ccfe07162f983680bdb6a406e6129a2d4a2b91bc31b5c26a
                  table6:
                    total_itc_availed:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    sub_totalBH:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    supp_non_rchrg:
                      - csamt: 0
                        samt: 782.55
                        itc_typ: cg
                        camt: 782.55
                        iamt: 16745.52
                      - csamt: 0
                        samt: 169159.01
                        itc_typ: is
                        camt: 169159.01
                        iamt: 810052.26
                    difference:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_3b:
                      csamt: 0
                      samt: 169941.56
                      camt: 169941.56
                      iamt: 826797.78
                    sub_totalKM:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    chksum: >-
                      cf3a7e38a220ef732ad7cf504b080dbdcc8676c603f59dcadb8055c830338fdb
                summary: Invalid summary payload
        required: true
      responses:
        '200':
          description: Return not ready to file / 200 Success / Invalid summary payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileGstr9Response'
              examples:
                Return not ready to file:
                  summary: Return not ready to file
                  value:
                    code: 200
                    data:
                      status_cd: '0'
                      error:
                        error_cd: RET00014
                        message: Return Form is not in ready to be filed status
                    timestamp: 1763446641000
                    transaction_id: 94168208-945b-4bc9-b087-19ae28d9edb5
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        ack_num: AC240324630721I
                    timestamp: 1734956564000
                    transaction_id: 8d087565-90c6-4657-89c1-6712bb3f5c64
                Invalid summary payload:
                  summary: Invalid summary payload
                  value:
                    code: 200
                    data:
                      status_cd: '0'
                      error:
                        error_cd: RETPV01
                        message: Invalid summary payload
                    timestamp: 1734956385000
                    transaction_id: 741ff6a5-1fea-4663-9079-4bdd08d721e8
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    FileGstr9Request:
      type: object
      description: Public request body for File Gstr9.
      properties:
        isnil:
          type: string
          description: The isnil value provided in the request.
        fp:
          type: string
          description: The fp value provided in the request.
        table4:
          type: object
          description: The table4 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            b2c:
              type: object
              description: The b2c value provided in the request.
              properties:
                txval:
                  type: number
                  description: The txval value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            b2b:
              type: object
              description: The b2b value provided in the request.
              properties:
                txval:
                  type: number
                  description: The txval value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            exp:
              type: object
              description: The exp value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sez:
              type: object
              description: The sez value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            deemed:
              type: object
              description: The deemed value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            at:
              type: object
              description: The at value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rchrg:
              type: object
              description: The rchrg value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            cr_nt:
              type: object
              description: The cr nt value provided in the request.
              properties:
                txval:
                  type: number
                  description: The txval value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            dr_nt:
              type: object
              description: The dr nt value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            amd_pos:
              type: object
              description: The amd pos value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            amd_neg:
              type: object
              description: The amd neg value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sub_totalAG:
              type: object
              description: The sub total AG value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sub_totalIL:
              type: object
              description: The sub total IL value provided in the request.
              properties:
                txval:
                  type: number
                  description: The txval value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sup_adv:
              type: object
              description: The sup adv value provided in the request.
              properties:
                txval:
                  type: number
                  description: The txval value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sub_totalAG1:
              type: object
              description: The sub total AG1 value provided in the request.
              properties:
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                txval:
                  type: number
                  description: The txval value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
        table5:
          type: object
          description: The table5 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            zero_rtd:
              type: object
              description: The zero rtd value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            sez:
              type: object
              description: The sez value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            rchrg:
              type: object
              description: The rchrg value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            exmt:
              type: object
              description: The exmt value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            nil:
              type: object
              description: The nil value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            non_gst:
              type: object
              description: The non gst value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            cr_nt:
              type: object
              description: The cr nt value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            dr_nt:
              type: object
              description: The dr nt value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            amd_pos:
              type: object
              description: The amd pos value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            amd_neg:
              type: object
              description: The amd neg value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            sub_totalAF:
              type: object
              description: The sub total AF value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            sub_totalHK:
              type: object
              description: The sub total HK value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            tover_tax_np:
              type: object
              description: The tover tax np value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
            total_tover:
              type: object
              description: The total tover value provided in the request.
              properties:
                txval:
                  type: number
                  description: The txval value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
            ecom_14:
              type: object
              description: The ecom 14 value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
        table6:
          type: object
          description: The table6 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            itc_3b:
              type: object
              description: The itc 3b value provided in the request.
              properties:
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            supp_non_rchrg:
              type: array
              description: The supp non rchrg value provided in the request.
              items:
                type: object
                properties:
                  itc_typ:
                    type: string
                    description: The itc typ value provided in the request.
                  iamt:
                    type: number
                    description: The iamt value provided in the request.
                  camt:
                    type: number
                    description: The camt value provided in the request.
                  samt:
                    type: number
                    description: The samt value provided in the request.
                  csamt:
                    type: integer
                    description: The csamt value provided in the request.
            supp_rchrg_unreg:
              type: array
              description: The supp rchrg unreg value provided in the request.
              items:
                type: object
                properties:
                  itc_typ:
                    type: string
                    description: The itc typ value provided in the request.
                  iamt:
                    type: integer
                    description: The iamt value provided in the request.
                  camt:
                    type: integer
                    description: The camt value provided in the request.
                  samt:
                    type: integer
                    description: The samt value provided in the request.
                  csamt:
                    type: integer
                    description: The csamt value provided in the request.
            supp_rchrg_reg:
              type: array
              description: The supp rchrg reg value provided in the request.
              items:
                type: object
                properties:
                  itc_typ:
                    type: string
                    description: The itc typ value provided in the request.
                  iamt:
                    type: integer
                    description: The iamt value provided in the request.
                  camt:
                    type: integer
                    description: The camt value provided in the request.
                  samt:
                    type: integer
                    description: The samt value provided in the request.
                  csamt:
                    type: integer
                    description: The csamt value provided in the request.
            iog:
              type: array
              description: The iog value provided in the request.
              items:
                type: object
                properties:
                  itc_typ:
                    type: string
                    description: The itc typ value provided in the request.
                  iamt:
                    type: integer
                    description: The iamt value provided in the request.
                  csamt:
                    type: integer
                    description: The csamt value provided in the request.
            ios:
              type: object
              description: The ios value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            isd:
              type: object
              description: The isd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_clmd:
              type: object
              description: The itc clmd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            tran1:
              type: object
              description: The tran1 value provided in the request.
              properties:
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
            tran2:
              type: object
              description: The tran2 value provided in the request.
              properties:
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
            other:
              type: object
              description: The other value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sub_totalBH:
              type: object
              description: The sub total BH value provided in the request.
              properties:
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            difference:
              type: object
              description: The difference value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sub_totalKM:
              type: object
              description: The sub total KM value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            total_itc_availed:
              type: object
              description: The total itc availed value provided in the request.
              properties:
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
        table7:
          type: object
          description: The table7 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            rule37:
              type: object
              description: The rule37 value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rule39:
              type: object
              description: The rule39 value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rule42:
              type: object
              description: The rule42 value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rule43:
              type: object
              description: The rule43 value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            sec17:
              type: object
              description: The sec17 value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            revsl_tran1:
              type: object
              description: The revsl tran1 value provided in the request.
              properties:
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
            revsl_tran2:
              type: object
              description: The revsl tran2 value provided in the request.
              properties:
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
            other:
              type: array
              description: The other value provided in the request.
              items:
                type: object
                properties:
                  desc:
                    type: string
                    description: The desc value provided in the request.
                  iamt:
                    type: integer
                    description: The iamt value provided in the request.
                  camt:
                    type: integer
                    description: The camt value provided in the request.
                  samt:
                    type: integer
                    description: The samt value provided in the request.
                  csamt:
                    type: integer
                    description: The csamt value provided in the request.
            tot_itc_revd:
              type: object
              description: The tot itc revd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            net_itc_aval:
              type: object
              description: The net itc aval value provided in the request.
              properties:
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
        table8:
          type: object
          description: The table8 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            itc_2a:
              type: object
              description: The itc 2a value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_tot:
              type: object
              description: The itc tot value provided in the request.
              properties:
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_inwd_supp:
              type: object
              description: The itc inwd supp value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_nt_availd:
              type: object
              description: The itc nt availd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_nt_eleg:
              type: object
              description: The itc nt eleg value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            iog_taxpaid:
              type: object
              description: The iog taxpaid value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            iog_itc_availd:
              type: object
              description: The iog itc availd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            iog_itc_ntavaild:
              type: object
              description: The iog itc ntavaild value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            differenceABC:
              type: object
              description: The difference ABC value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            differenceGH:
              type: object
              description: The difference GH value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            tot_itc_lapsed:
              type: object
              description: The tot itc lapsed value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_2b:
              type: object
              description: The itc 2b value provided in the request.
              properties:
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
        table9:
          type: object
          description: The table9 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            iamt:
              type: object
              description: The iamt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
                tax_paid_itc_iamt:
                  type: integer
                  description: The tax paid itc iamt value provided in the request.
                tax_paid_itc_camt:
                  type: integer
                  description: The tax paid itc camt value provided in the request.
                tax_paid_itc_samt:
                  type: integer
                  description: The tax paid itc samt value provided in the request.
            camt:
              type: object
              description: The camt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
                tax_paid_itc_iamt:
                  type: integer
                  description: The tax paid itc iamt value provided in the request.
                tax_paid_itc_camt:
                  type: integer
                  description: The tax paid itc camt value provided in the request.
            samt:
              type: object
              description: The samt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
                tax_paid_itc_iamt:
                  type: integer
                  description: The tax paid itc iamt value provided in the request.
                tax_paid_itc_samt:
                  type: integer
                  description: The tax paid itc samt value provided in the request.
            csamt:
              type: object
              description: The csamt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
                tax_paid_itc_csamt:
                  type: integer
                  description: The tax paid itc csamt value provided in the request.
            intr:
              type: object
              description: The intr value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
            fee:
              type: object
              description: The fee value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
            pen:
              type: object
              description: The pen value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
            other:
              type: object
              description: The other value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid_cash:
                  type: integer
                  description: The txpaid cash value provided in the request.
        table10:
          type: object
          description: The table10 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            dbn_amd:
              type: object
              description: The dbn amd value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            cdn_amd:
              type: object
              description: The cdn amd value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_rvsl:
              type: object
              description: The itc rvsl value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            itc_availd:
              type: object
              description: The itc availd value provided in the request.
              properties:
                txval:
                  type: integer
                  description: The txval value provided in the request.
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            total_turnover:
              type: object
              description: The total turnover value provided in the request.
              properties:
                tx_val:
                  type: integer
                  description: The tx val value provided in the request.
                iamt:
                  type: number
                  description: The iamt value provided in the request.
                camt:
                  type: number
                  description: The camt value provided in the request.
                samt:
                  type: number
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
                txval:
                  type: number
                  description: The txval value provided in the request.
        table14:
          type: object
          description: The table14 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            iamt:
              type: object
              description: The iamt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid:
                  type: integer
                  description: The txpaid value provided in the request.
            camt:
              type: object
              description: The camt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid:
                  type: integer
                  description: The txpaid value provided in the request.
            samt:
              type: object
              description: The samt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid:
                  type: integer
                  description: The txpaid value provided in the request.
            csamt:
              type: object
              description: The csamt value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid:
                  type: integer
                  description: The txpaid value provided in the request.
            intr:
              type: object
              description: The intr value provided in the request.
              properties:
                txpyble:
                  type: integer
                  description: The txpyble value provided in the request.
                txpaid:
                  type: integer
                  description: The txpaid value provided in the request.
        table15:
          type: object
          description: The table15 value provided in the request.
          properties:
            chksum:
              type: string
              description: The chksum value provided in the request.
            rfd_clmd:
              type: object
              description: The rfd clmd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rfd_sanc:
              type: object
              description: The rfd sanc value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rfd_rejt:
              type: object
              description: The rfd rejt value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            rfd_pend:
              type: object
              description: The rfd pend value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
            tax_dmnd:
              type: object
              description: The tax dmnd value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
                intr:
                  type: integer
                  description: The intr value provided in the request.
                fee:
                  type: integer
                  description: The fee value provided in the request.
                pen:
                  type: integer
                  description: The pen value provided in the request.
            tax_paid:
              type: object
              description: The tax paid value provided in the request.
              properties:
                iamt:
                  type: integer
                  description: The iamt value provided in the request.
                camt:
                  type: integer
                  description: The camt value provided in the request.
                samt:
                  type: integer
                  description: The samt value provided in the request.
                csamt:
                  type: integer
                  description: The csamt value provided in the request.
                intr:
                  type: integer
                  description: The intr value provided in the request.
                fee:
                  type: integer
                  description: The fee value provided in the request.
                pen:
                  type: integer
[...]
